@font-face {
    font-family: 'Text';
    src: url('/assets/fonts/Lora/Lora-VariableFont_wght.ttf') format('truetype');
}

@font-face {
  font-family: 'Title';
  src: url('/assets/fonts/Marmelad/Marmelad-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: 400;
}

html {
  font-family: 'Text';
}

h1, h2, h3, h5, figcaption {
  font-family: 'Title';
}

blockquote {
  padding-left: 1rem;
  position: relative;
}
blockquote::before {
  content: " ";
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 0.5rem;
  border-top-right-radius: 0.3rem;
  border-bottom-right-radius: 0.3rem;
  background: #eee;
}

ul + p, ol + p {
  margin-top: 1rem;
}

.overlay-articles {
  position: absolute;
  top: -27vh;
  text-align: center;
  margin-left: 10%;
  margin-right: 10%;
}

.article-carousel {
  border-radius: 10px;
  text-decoration: none;
  opacity: 0.8;
  transition: all 0.2s ease;
}

.article-carousel:hover {
  opacity: 1;
  background-color: rgb(255, 255, 255, 0.5);
}

.article-carousel img {
  height: 15vh;
  object-fit: cover;
  transition: all 0.2 ease;
}

.article-carousel p {
  color: white;
  font-size: 20px;
  paint-order: stroke fill;
}

.social-section a {
  color: black;
  text-decoration: none;
}

.social-section li {
  margin-bottom: 10px;
}

.social-media-icon {
  padding-right: 5px;
}

.about-section li {
  margin-bottom: 10px;
}

.about-section a {
  color: black;
  text-decoration: none;
}

.about-section a:hover {
  -webkit-text-stroke: 0.5px black;
}

.footer-titles {
  font-weight: bolder;
}

.footer-links {
  text-decoration: none;
  font-weight: bold;
}

.article-sidebar {
  padding: 10px;
  max-height: 300px;
  border-radius: 12.5px;
  box-shadow: 0px 4px 10px lightgray;
  background-color: white;
  transition: all 0.2s ease;
}

.article-sidebar:hover {
  background-color: rgb(245, 245, 245);
}

.article-sidebar-image {
  border-radius: 10px;
  float: left;
  width: 30%;
  height: 50px;
  object-fit: cover;
}

.article-sidebar-content {
  text-decoration: none;
}

.article-sidebar-title {
  margin-right: 1rem;
  font-size: 15px;
  margin-left: 35%;
  color: black;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-height: 1.2em;
  max-height: 3.6em;
}

.article-sidebar-info {
  margin-bottom: 0rem;
  margin-right: 1rem;
  margin-left: 35%;
  color: darkgrey;
  font-style: italic;
}

.tags {
  border-left: 2px solid rgb(245, 245, 245);
  text-decoration: none;
  display: block;
  padding: 10px;
  transition: background-color 0.25s ease-out;
  color: black;
  font-size: 14.5px;
}

.tag-amount {
  font-size: 11px;
}

.tags:hover {
  background-color: rgb(245, 245, 245);
}

.article {
  text-decoration: none;
  border-radius: 12.5px;
  box-shadow: 0px 4px 10px lightgray;
  padding-top: 10px;
  padding-left: 30px;
  padding-right: 30px;
  max-height: 450px;
  transition: all 0.2s ease;
}

.article:hover {
  background-color: rgb(245, 245, 245);
}

.article-title {
  margin-top: 5%;
  font-weight: 600;
  font-size: 18px;
  color: black;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  text-overflow: ellipsis;
  overflow: hidden;
}

.article-divider {
  border-top: 2px solid #bbb;
}

.article-description {
  color: black;
  text-align: left;
  color: lightgr;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
  text-overflow: ellipsis;
  overflow: hidden;
}

.article-info {
  color: black;
  font-size: small;
  text-align: left;
}

.position-title {
  margin-top: 3%;
  font-weight: 600;
  font-size: larger;
  text-align: left;
  color: black;
}

.position-divider {
  border-top: 2px solid #bbb;
}

.position-description {
  color: black;
  text-align: left;
  color: lightgr;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
  text-overflow: ellipsis;
  overflow: hidden;
}

.position-info {
  color: black;
  font-size: medium;
  text-align: left;
}

.card-img-top {
  width: 100%;
  height: 10vw;
  object-fit: cover;
}

.article-img-top {
  width: 100%;
  height: 20vw;
  object-fit: cover;
  background-size: cover;
  background-position: center;
}

.index-img-top {
  width: 100%;
  height: 100vh;
  object-fit: contain;
  background-position: center top;
  background-size: cover;
}

.featured-img {
  width: 100%;
  height: 10vw;
  object-fit: cover;
}

.history-img {
  width: 100%;
  height: 12vw;
  object-fit: cover;
  background-size: cover;
  background-position: center;
}

.landing-img {
  width: 100%;
  height: 25vw;
  object-fit: cover;
}

.showcase-img {
  min-height: 30rem;
  max-height: 30rem;
  background-size: cover;
  background-position: center;
}

.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 50%;
  width: 1px;
  height: 100%;
  content: '';
  z-index: 1;
  pointer-events: none;
  background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.9));
  transform: translateX(-50%);
}

.nav-links ul {
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
}

.nav-links ul li {
  padding: 0.5rem 1.2rem;
  font-size: clamp(0.8rem, 1vw, 2rem);
}

.nav-links ul li a {
  font-family: 'Title';
  text-decoration: none;
  color: white;
}

.donations {
  background: linear-gradient(300deg, #5539cc, darkviolet, blue);
  background-size: 180% 180%;
  animation: donation-gradient 4s ease infinite;
  border-radius: 10px;
}

.navigation-scrolled {
  background-color: rgb(241, 241, 241);
  padding: 0.5rem 3rem;
  transition: all 0.3s ease;
}

.navigation-scrolled ul li:not(.donations) a {
  color: black;
}

.navigation-scrolled .logo-image {
  width: 15rem;
  height: auto;
}

.splide__arrow--prev {
  margin-left: -75px;
}

.splide__arrow--next {
  margin-right: -75px;
}

@keyframes donation-gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

img {
  max-width: 100%;
}

.img-left {
  display: block;
  margin-right: auto;
}

.img-right {
  display: block;
  margin-left: auto;
}

.img-center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.img-float-left {
  margin-right: 1rem;
  margin-bottom: 0.5rem;
  display: block;
  float: left;
}

.img-float-right {
  margin-left: 1rem;
  margin-bottom: 0.5rem;
  display: block;
  float: right;
}

/* CSS */
.button-31 {
  background-color: #222;
  border-radius: 4px;
  border-style: none;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-family: 'Farfetch Basis', 'Helvetica Neue', Arial, sans-serif;
  font-size: 16px;
  font-weight: 700;
  line-height: 1.5;
  margin: 0;
  max-width: none;
  min-height: 44px;
  min-width: 10px;
  outline: none;
  overflow: hidden;
  padding: 9px 20px 8px;
  position: relative;
  text-align: center;
  text-transform: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  width: 100%;
  text-decoration: none;
}

.button-31:hover,
.button-31:focus {
  opacity: 0.75;
}

/* Fixed sidenav, full height */
.answer-sidenav {
  height: 100%;
  width: 100%;
  position: relative;
  z-index: 1;
  top: 0;
  left: 0;
  /* background-color: #111; */
  overflow-x: hidden;
  padding-top: 20px;
  margin-right: 20px;
}

/* Style the sidenav links and the dropdown button */
.answer-sidenav a,
.dropdown-btn {
  padding: 12px 10px 12px 18px; /* Adjusted padding */
  text-decoration: none;
  font-size: large;
  color: #000000;
  font-weight: 500; /* From 'lighter' to '500' */
  display: block;
  border: none;
  background: none;
  width: 100%;
  text-align: left;
  cursor: pointer;
  outline: none;
  transition: color 0.3s ease; /* Add this line */
}

/* On mouse-over */
.answer-sidenav a:hover,
.dropdown-btn:hover {
  color: #d1d1d1; /* Lighter grey for better contrast */
}

/* Main content */
.main {
  margin-left: 200px; /* Same as the width of the sidenav */
  font-size: 20px; /* Increased text to enable scrolling */
  padding: 0px 10px;
}

/* Add an active class to the active dropdown button */
.dropdown-container .active {
  background-color: #303030; /* Dark background for active state */
  color: #ffffff; /* White text for contrast */
  font-weight: bold;
}

/* Dropdown container (hidden by default). Optional: add a lighter background color and some left padding to change the design of the dropdown content */
.dropdown-container {
  display: none;
  padding-left: 8px;
}

.answer-content {
  font-size: larger;
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  padding-top: 25px;
  height: 100%;
  margin-left: 50px;
}

.answer-content iframe {
  padding-bottom: 25px;
  padding-top: 25px;
  max-width: 100%;
  height: auto;
  padding-bottom: 20px;
  padding-top: 20px;
}

.answers-container {
  width: 100%;
  height: 100%;
  display: flex;
}

.answer-sidenav {
  width: 100%;
  height: 100%;
}

.article-container {
  display: grid;
  width: 80%;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 10px;
  row-gap: 1em;
  margin-bottom: 75px;
  padding: 10px;
}

.list-categories {
  width: 20%;
  padding-right: 10px;
  float: left;
  position: sticky;
  top: 75px;
}

.link-card-container {
  margin-top: -150px;
  margin-bottom: -50px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 20px;
}

.link-card {
  color: black;
  background-color: white;
  padding: 20px;
  text-align: center;
  text-decoration: none;
  box-shadow: 0px 4px 10px lightgray;
  border-radius: 12.5px;
  transition: all 0.2s ease;
}

.link-card:hover {
  background-color: rgb(245, 245, 245);
}

.about-us-index {
  padding-top: 75px;
  padding-bottom: 75px;
}

.about-us-spacer {
  height: 100px;
}

.about-us-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(45%, 1fr));
  gap: 20px;
}

.about-us-container p {
  font-size: large;
  font-weight: 400;
  color: #414147;
}

.principles-container {
  text-align: center;
  padding-top: 75px;
  padding-bottom: 75px;
}

.about-title {
  font-size: xx-large;
}

.principles-content {
  margin: auto;
  padding-top: 20px;
  width: 56%;
}

.principles-content p {
  padding-top: 5px;
}

.team-container {
  text-align: center;
  padding-top: 75px;
  padding-bottom: 75px;
}

.team-cards {
  margin-top: 5%;
  margin-left: 10%;
  margin-right: 10%;
  display: grid;
  grid-template-columns: 1fr;
  column-gap: 10px;
  row-gap: 5em;
}

.team-card img {
  border-radius: 50%;
}

.team-member-info {
  margin-top: 15px;
}

.team-member-title {
  font-size: 20px;
}

.team-member-position {
  font-size: 15px;
  color: #414147;
}

.tag-active,
.answer-active {
  -webkit-text-stroke: 0.5px black;
}

.books-container {
  text-align: center;
  padding-top: 100px;
  padding-bottom: 100px;
}

.books-title {
  font-size: xx-large;
  margin-bottom: 20px;
}

.books {
  margin: auto;
  display: grid;
  grid-template-columns: 1fr;
  column-gap: 25px;
  row-gap: 2em;
  max-width: 70%;
}

.book {
  padding: 20px;
  border-radius: 12.5px;
  box-shadow: 0px 4px 10px lightgray;
}

.book img {
  max-width: 70%;
}

.book-title {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 18px;
  height: 50px;
}

.book-price {
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: bold;
}

.books-info {
  padding-top: 60px;
  padding-bottom: 60px;
  display: grid;
  grid-template-columns: 1fr;
  gap: 50px;
}

.books-info-text {
  /* padding-top: 30px; */
  font-size: 18px;
}

.full-hs-container {
  display: grid;
  grid-template-columns: 320px 1fr 350px;
  gap: 50px;
}

.full-hs-sidenav {
  max-height: 93.2vh;
  /* max-height: 900px; */
  position: sticky;
  top: 65px;
  background-color: #111;
  padding-top: 20px;
  overflow-y: auto;
}

.full-hs-sidenav a,
.dropdown-btn {
  padding: 6px 16px 6px 16px;
  text-decoration: none;
  font-size: 16px;
  color: #818181;
  display: block;
  border: none;
  background: none;
  width: 100%;
  text-align: left;
  cursor: pointer;
  outline: none;
}

.full-hs-sidenav a:hover,
.dropdown-btn:hover {
  color: #f1f1f1;
}

.full-hs-sidenav .dropdown-container {
  display: none;
  background-color: #262626;
  padding-left: 8px;
}

.full-hs-content {
  margin-top: 25px;
  border-radius: 12.5px;
  box-shadow: 0px 4px 10px lightgray;
  padding: 50px;
}

.full-hs-articles {
  max-height: 780px;
  margin-left: -20px;
  padding-left: 15px;
  position: sticky;
  top: 40px;
  overflow-y: auto;
}

@media screen and (min-width: 800px) {
  .team-cards {
    grid-template-columns: 1fr 1fr 1fr;
  }
  .books {
    grid-template-columns: 1fr 1fr 1fr;
  }
  .books-info {
    grid-template-columns: 1fr 1fr;
    grid-auto-flow: dense;
  }
  .books-info > .books-info-text {
    grid-column: 1;
  }
  .books-info > .books-video {
    grid-column: 2;
  }
  .books-info.reverse > .books-info-text {
    grid-column: 2;
  }
  .books-info.reverse > .books-video {
    grid-column: 1;
  }
}

.category-list-container {
  border-radius: 12.5px;
  box-shadow: 0px 4px 10px lightgray;
  background-color: white;
}

.category-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.category-list a {
  text-decoration: none;
  margin-bottom: 10px;
  display: block;
  text-align: center;
  color: #007bff;
  font-size: 18px;
  transition: color 0.3s ease, transform 0.3s ease;
}

.category-list a:hover {
  color: #0056b3;
  transform: scale(1.05);
}

.resources {
  margin-top: 4rem;
}

.resources h1 {
  margin-top: 4rem;
  font-size: 2.2rem;
}

.resources hr {
  border: none;
  height: 2px;
  background-image: linear-gradient(to right, grey, transparent);
}

.resources figcaption {
  margin-top: 2rem;
  margin-bottom: 1rem;
  font-size: 1.2rem;
  color: #34282c;
}

.resources li {
  padding: 0.7rem 2rem;
}

.resources a {
  text-decoration: none;
}

.recommended-books {
  max-width: 70rem;
}

.recommended-books ul {
  margin-top: 3rem;
}

.recommended-books li p {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.recommended-books li p .book-age {
  color: hsl(0, 0%, 21%);
  flex-shrink: 0;
  margin-right: 1rem;
}

.recommended-books li p .book-details {
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.recommended-books li p a {
  font-size: 2rem;
}

.media-flex-wrapper {
  margin-top: 4.5rem;
  gap: 5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.media-flex-container {
  margin-left: 12.5rem;
  margin-right: 12.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 2.5rem;
}

.media-flex-item a {
  text-decoration: none;
}

.media-flex-item p {
  color: black;
  margin: 1rem;
}
